//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: mandamientos.activos.get.js
// Created: 2016-08-04
// Updates: 2016-08-04
// Copyright - All Rights Reserved
//-------------------------------------------------------//
//-------------------------------------------------------//
var isIE    = document.all?true:false;
var isNS    = document.layers?true:false;
var xmlHttp;
var xmlHttpStream;
//-------------------------------------------------------//
window.onload = function(){
    appid	= document.form.appid.value;
}
//-------------------------------------------------------//
function updateMandamientoEstado(id){
    var URL = "../pl/mandamiento.estado.update.pl?id="+id+"&appid="+appid;
    xmlHttp	= GetXmlHttpObject(updateMandamientoEstadoSC);
    xmlHttp.open("GET",URL,true) ;
    xmlHttp.send(null);
}
function updateMandamientoEstadoSC(){
    if (xmlHttp.readyState==4 || xmlHttp.readyState=="complete"){
		xmlHttpStream=xmlHttp.responseText;
        //alert(xmlHttpStream);
        location.reload();
    }
}
//-------------------------------------------------------//
// AUXILIAR
function GetXmlHttpObject(handler){
	var objXmlHttp=null;	
	if(window.XMLHttpRequest){// code for IE7+, Firefox, Chrome, Opera, Safari
		objXmlHttp = new XMLHttpRequest();
		objXmlHttp.onload=handler
		objXmlHttp.onerror=handler 		
	}
	if(window.ActiveXObject){// code for IE6, IE5
		objXmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
		objXmlHttp.onreadystatechange=handler 		
	}
	if(objXmlHttp==null){alert("Your Browser Does Not Suppport AJAX")}
	return objXmlHttp;
}